Introducing the Chargebee CLI

List preference definitions

Retrieves a list of preference definitions available for your Chargebee site within the specified preference_group. preference_group[<operator>] is required. Use is to select one group or in to select multiple groups.

This endpoint is not paginated and returns all definitions in the selected groups.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/preferences/definitions

Input Parameters

Filter Params

For operator usages, see the Pagination and Filtering section.
preference_group[<operator>]

required, string filter

The area of Chargebee this preference belongs to. Use is for one group or in for several. An in value is a JSON array. See preference_group.

Example → preference_group[is] = "unbilled_charges"

preference_group[in] = ["subscription_reactivation", "trial_end_actions"]

Supported operators: is, in
Example → subscription_reactivation

Returns

Preference definition object

Resource object representing preference_definition